## libpulse-java 2.4.7

=== debian/changelog ===
libpulse-java (2.4.7-1) unstable; urgency=medium

  * Initial release. (Closes: #748814)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 20 May 2014 23:48:57 +0200
