=== debian/control ===
Source: libpulse-java
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends: debhelper (>= 9), default-jdk, ant, libpulse-dev (>= 0.9.12)
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-java/libpulse-java.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/libpulse-java.git
Homepage: http://icedtea.classpath.org

Package: libpulse-java
Architecture: all
Depends: libpulse-jni, ${misc:Depends}
Description: PulseAudio sound driver for Java
 IcedTea implementation of javax.sound.sampled.spi.MixerProvider using
 PulseAudio as a mixer.

Package: libpulse-jni
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PulseAudio sound driver for Java (JNI libraries)
 IcedTea implementation of javax.sound.sampled.spi.MixerProvider using
 PulseAudio as a mixer.
 .
 This package contains the architecture specific Java native interface part.
