=== debian/watch ===
version=3
http://icedtea.wildebeest.org/download/source/icedtea-([\d\.]+).tar.xz debian debian/orig-tar.sh
